Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class FilterConfigImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.FilterConfigImpl

All Implemented Interfaces:
  javax.portlet.filter.FilterConfig

    public class FilterConfigImpl

extends java.lang.Object
implements javax.portlet.filter.FilterConfig

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`FilterConfigImpl(ContainerFilterInfo filterInfo, PortletContext context)`

Method Summary
`java.lang.String` | `getFilterName()`
`java.lang.String` | `getInitParameter(java.lang.String name)`
`java.util.Enumeration` | `getInitParameterNames()`
`PortletContext` | `getPortletContext()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterConfigImpl

    public FilterConfigImpl(ContainerFilterInfo filterInfo,
                            PortletContext context)

Method Detail

### getFilterName

    public java.lang.String getFilterName()

  Specified by:
    `getFilterName` in interface `javax.portlet.filter.FilterConfig`

### getPortletContext

    public PortletContext getPortletContext()

  Specified by:
    `getPortletContext` in interface `javax.portlet.filter.FilterConfig`

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

  Specified by:
    `getInitParameter` in interface `javax.portlet.filter.FilterConfig`

### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()

  Specified by:
    `getInitParameterNames` in interface `javax.portlet.filter.FilterConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.